--Create By BuildApi, Create time: 2020-05-21 16:02:44 
-----------------------------------------------------------------
--classes define
-----------------------------------------------------------------
---@class KLGameWorld 
KLGameWorld = KLGameWorld or {}

---@return KLGameWorld 
function KLGameWorld:Instance() end 

---@return boolean 
function KLGameWorld:IsEditMode() end 

---@param dwTemplateId number 
---@return AActorID 
function KLGameWorld:CreateActor(dwTemplateId) end 

---@param id AActorID 
---@return boolean 
function KLGameWorld:DestoryActor(id) end 

---@param id AActorID 
---@return boolean 
function KLGameWorld:IsValidActor(id) end 

---@param id AActorID 
---@param fX number 
---@param fY number 
---@param fZ number 
---@return boolean 
function KLGameWorld:SetActorWorldPosition(id, fX, fY, fZ) end 

---@param id AActorID 
---@param fX number 
---@param fY number 
---@param fZ number 
---@return boolean 
---@return number fX 
---@return number fY 
---@return number fZ 
function KLGameWorld:GetActorWorldPosition(id, fX, fY, fZ) end 

---@param id AActorID 
---@param fYaw number 
---@param fPitch number 
---@param fRoll number 
---@return boolean 
function KLGameWorld:SetActorWorldRotation(id, fYaw, fPitch, fRoll) end 

---@param id AActorID 
---@param fYaw number 
---@param fPitch number 
---@param fRoll number 
---@return boolean 
---@return number fYaw 
---@return number fPitch 
---@return number fRoll 
function KLGameWorld:GetActorWorldRotation(id, fYaw, fPitch, fRoll) end 

---@param id AActorID 
---@param fX number 
---@param fY number 
---@param fZ number 
---@return boolean 
function KLGameWorld:SetActorWorldScale(id, fX, fY, fZ) end 

---@param id AActorID 
---@param fX number 
---@param fY number 
---@param fZ number 
---@return boolean 
---@return number fX 
---@return number fY 
---@return number fZ 
function KLGameWorld:GetActorWorldScale(id, fX, fY, fZ) end 

---@param id AActorID 
---@param fX number 
---@param fY number 
---@param fZ number 
---@return boolean 
function KLGameWorld:SetActorRelativePosition(id, fX, fY, fZ) end 

---@param id AActorID 
---@param fX number 
---@param fY number 
---@param fZ number 
---@return boolean 
---@return number fX 
---@return number fY 
---@return number fZ 
function KLGameWorld:GetActorRelativePosition(id, fX, fY, fZ) end 

---@param id AActorID 
---@param fYaw number 
---@param fPitch number 
---@param fRoll number 
---@return boolean 
function KLGameWorld:SetActorRelativeRotation(id, fYaw, fPitch, fRoll) end 

---@param id AActorID 
---@param fYaw number 
---@param fPitch number 
---@param fRoll number 
---@return boolean 
---@return number fYaw 
---@return number fPitch 
---@return number fRoll 
function KLGameWorld:GetActorRelativeRotation(id, fYaw, fPitch, fRoll) end 

---@param id AActorID 
---@param fX number 
---@param fY number 
---@param fZ number 
---@return boolean 
function KLGameWorld:SetActorRelativeScale(id, fX, fY, fZ) end 

---@param id AActorID 
---@param fX number 
---@param fY number 
---@param fZ number 
---@return boolean 
---@return number fX 
---@return number fY 
---@return number fZ 
function KLGameWorld:GetActorRelativeScale(id, fX, fY, fZ) end 

---@param id AActorID 
---@param bVisible boolean 
---@return boolean 
function KLGameWorld:SetActorVisible(id, bVisible) end 

---@param id AActorID 
---@return boolean 
function KLGameWorld:IsActorVisible(id) end 

---@param id AActorID 
---@param strModelRes string 
---@return boolean 
function KLGameWorld:SetActorModelRes(id, strModelRes) end 

---@param nScreenX number 
---@param nScreenY number 
---@param fWorldX number 
---@param fWorldY number 
---@param fWorldZ number 
---@return boolean 
---@return number fWorldX 
---@return number fWorldY 
---@return number fWorldZ 
function KLGameWorld:GetRayHitPointFromScreen(nScreenX, nScreenY, fWorldX, fWorldY, fWorldZ) end 

---@param worldX number 
---@param worldY number 
---@param worldZ number 
---@param screenX number 
---@param screenY number 
---@return boolean 
---@return number screenX 
---@return number screenY 
function KLGameWorld:WorldPosToScreenPos(worldX, worldY, worldZ, screenX, screenY) end 


-----------------------------------------------------------------
--global function define
-----------------------------------------------------------------

